## Create Credential `client.vulnerabilityScanner.credentialSets.credentials.create(stringcredentialSetId, CredentialCreateParamsparams, RequestOptionsoptions?): CredentialCreateResponse` **post** `/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}/credentials` Creates a new credential within a credential set. ### Parameters - `credentialSetId: string` - `params: CredentialCreateParams` - `account_id: string` Path param: Identifier. - `location: "header" | "cookie"` Body param: Where the credential is attached in outgoing requests. - `"header"` - `"cookie"` - `location_name: string` Body param: Name of the header or cookie where the credential is attached. - `name: string` Body param: Human-readable name. - `value: string` Body param: The credential value (e.g. API key, session token). Write-only. Never returned in responses. ### Returns - `CredentialCreateResponse` A credential attached to API requests during scanning. The credential `value` is write-only and never returned in responses. - `id: string` Credential identifier. - `credential_set_id: string` Parent credential set identifier. - `location: "header" | "cookie"` Where the credential is attached in outgoing requests. - `"header"` - `"cookie"` - `location_name: string` Name of the header or cookie where the credential is attached. - `name: string` Human-readable name. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const credential = await client.vulnerabilityScanner.credentialSets.credentials.create( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', location: 'header', location_name: 'Authorization', name: 'Admin API key', value: 'Bearer EXAMPLE_TOKEN', }, ); console.log(credential.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "location": "header", "location_name": "Authorization", "name": "Admin API key" }, "result_info": {} } ```